Version 0.2.5
~~~~~~~~~~~~~
Released: 2014-12-18

New Features:
 - Add a simple man page and AppData file for colorhug-refresh (Richard Hughes)

Bugfixes:
 - Add keywords to the various desktop files (Richard Hughes)
 - Do not install the bash-completion files in /etc (Richard Hughes)

Version 0.2.4
~~~~~~~~~~~~~
Released: 2014-12-04

Notes:
 - This is the first release with experimental Windows support.

New Features:
 - Add a NSI script to build the Windows installer (Richard Hughes)
 - Add colorhug-refresh for measuring display latency and refresh rates (Richard Hughes)
 - Add windows resource files for all executables (Richard Hughes)

Bugfixes:
 - Do not use deprecated libgusb API (Richard Hughes)
 - Don't install Linux-only content when compiling with MinGW (Richard Hughes)
 - Make libcanberra-gtk3 optional (Richard Hughes)
 - Remove colorhug-inhx32-to-bin and move functionality into colorhug-cmd (Richard Hughes)
 - Support the ColorHug2 in the example code (Richard Hughes)

Version 0.2.3
~~~~~~~~~~~~~
Released: 2013-11-10

New Features:
 - Show the Yxy and sRGB values when using take-readings-xyz (Richard Hughes)

Bugfixes:
 - Do not fail TakeReadingRaw when using CH2 (Richard Hughes)
 - Do not show CCMX matrices for different device types (Richard Hughes)

Version 0.2.2
~~~~~~~~~~~~~
Released: 2014-09-12

Notes:
 - This release requires colord >= 1.2.3

New Features:
 - Load the colorhug-spectro-utils data file from a GResource (Richard Hughes)
 - Support ColorHug2 in colorhug-ccmx and colorhug-flash (Richard Hughes)
 - Support getting and setting the DAC value on ColorHug+ (Richard Hughes)

Bugfixes:
 - Do not use deprecated widgets in the spectro tool (Richard Hughes)
 - Don't set the multiplier or integral on v2 hardware (Richard Hughes)
 - Fix autogen failure with new gettexts (Richard Hughes)
 - Remove suspicious usage of sizeof with a numeric constant (Moritz Lipp)
 - Use ch_device_check_firmware() to verify the firmware (Richard Hughes)

Version 0.2.1
~~~~~~~~~~~~~
Released: 2013-11-11

New Features:
 - Add an AppData file for colorhug-flash and colorhug-ccmx (Richard Hughes)

Bugfixes:
 - Find the new ColorHug VID:PID in the USB example (Richard Hughes)
 - Do not use g_type_init() for new versions of GLib (Richard Hughes)
 - Rely on intltool >= 0.50 for GSettings translation (Richard Hughes)

Version 0.2.0
~~~~~~~~~~~~~
Released: 2013-05-01

Notes:
 - This release requires colord >= 0.1.31 and colord-gtk >= 0.1.24

New Features:
 - Add a command to get the spectral data from the CCD (Richard Hughes)
 - Add a 'get-adc-vrefs' command to show the ADC Vref+ and Vref- (Richard Hughes)
 - Add help buttons to colorhug-flash and colorhug-ccmx (Richard Hughes)
 - Add some yelp documentation for the ColorHug device (Richard Hughes)
 - Add the ability to get and set CCD calibration values (Richard Hughes)
 - Support setting the blue LED in the ColorHug Spectro (Richard Hughes)

Bugfixes:
 - Do not refresh the calibration data twice when setting a custom CCMX (Richard Hughes)
 - Do not use deprecated colord functionality (Richard Hughes)
 - Remove the internal libcolorhug and depend on the system copy (Richard Hughes)
 - Set a title when generating a CCMX file (Richard Hughes)
 - Use gnome-autogen.sh to setup yelp rather than rolling our own thing (Richard Hughes)

Version 0.1.14
~~~~~~~~~~~~~~
Released: 2013-02-04

Notes:
- You can now easily generate a CCMX matrix for your screen and the ColorHug
  if you have a photospectrometer connected whilst running colorhug-ccmx.
- Lots of translation updates.
- If colord 0.1.29 is available then libcolorhug is used from that, although
  for older colord versions the internal version is still used.

New Features:
 - Compile the GtkBuilder files as a GResources to speed up startup (Richard Hughes)
 - Add a 'ccmx-upload' command to colorhug-cmd (Richard Hughes)
 - Allow the user to easily generate a CCMX correction matrix (Richard Hughes)

Bugfixes:
 - Use the UTF-8 '…' rather than '...' in UI code (Richard Hughes)
 - Sort the profiles by name in colorhug-ccmx (Richard Hughes)
 - Don't use the deprecated INCLUDES in Makefile.am (Richard Hughes)
 - Never use -Werror when building (Richard Hughes)
 - Fix two difficult to translate strings (Richard Hughes)
 - Use an external libcolorhug if it exists rather than the internal copy (Richard Hughes)

Version 0.1.13
~~~~~~~~~~~~~~
Released: 2012-11-06

Notes:
 - This is the first release that adds support for the as-yet-unreleased
   ColorHug Spectro. The new application should be regarded as proof of
   concept and unfinished.

New Features:
 - Add various demo programs for resetting the ColorHug (Richard Hughes)
 - Add a utility program to interface with the ColorHug Spectro (Richard Hughes)
 - Add client support for getting the device ambient temperature (Richard Hughes)
 - Add commands to read and write from the SRAM (Richard Hughes)
 - Add defines for the ColorHug Spectro (Richard Hughes)
 - Allow the user to flash an Intel HEX file from the command line (Richard Hughes)
 - Show the spectro temperature in the power utility (Richard Hughes)

Bugfixes:
 - Add self-test to the list of completion commands (Richard Hughes)
 - Add the ChSha1 symbol to the introspection data (Richard Hughes)
 - Add the missing GObjectIntrospection markup to ChDeviceQueue (Richard Hughes)
 - Cope with device errors without aborting when taking a raw measurement (Richard Hughes)
 - Don't return flashing success when the device failed to re-appear (Richard Hughes)
 - Fix flashing firmware with libusbx 1.0.13 (Richard Hughes)
 - Fix make check when a ColorHug Spectro is inserted (Richard Hughes)
 - Fix the example to work when firmware > 1.2.0 is used (Richard Hughes)
 - Fix up the remaining introspection warnings (Richard Hughes)
 - Increase the device reset timeout for slow USB hubs (Richard Hughes)
 - Only require colord-gtk when building the debugging tools (Richard Hughes)
 - Remove some dead code spotted by coverity (Richard Hughes)

Version 0.1.12
~~~~~~~~~~~~~~
Released: 2012-08-20

New Features:
 - Add colorhug-profile to compare the measurement modes (Richard Hughes)
 - Add subcommands to get and set the measurement mode (Richard Hughes)

Bugfixes:
 - Accept full HID packets from devices with firmware >= 1.2.0 (Richard Hughes)
 - Fix a small memory leak when commands with helpers and callbacks fail (Richard Hughes)
 - Return a uint32 type for TAKE_READING_RAW (Richard Hughes)

Version 0.1.11
~~~~~~~~~~~~~~
Released: 2012-07-02

Notes:
 - If you've used the set-dark-offsets command, you've probably
   overwritten your dark cal with values that are 3000x too large.
 - Just install this version of colorhug-client and re-execute
   '$ colorhug set-dark-offsets' and save the new values.

New Features:
 - Show the calibration types when doing 'list-calibration' (Richard Hughes)
 - Ask the user to cover the aperture before doing a dark cal (Richard Hughes)

Bugfixes:
 - Do not hardcode the type as 'all' when loading a CCMX  (Richard Hughes)
 - Recognise the INVALID_CALIBRATION error enum (Richard Hughes)
 - Recognise the NO_WELCOME errata enum (Richard Hughes)
 - Do not spin if enter is pressed at [Y/n] (Richard Hughes)
 - Set the post-scale to unity for the dark offsets (Richard Hughes)

Version 0.1.10
~~~~~~~~~~~~~~
Released: 2012-06-11

Bugfixes:
 - Add support for TYPE_FACTORY when loading CCMX files from disk (Richard Hughes)
 - Also reset the calibration map when resetting the factory calibration (Richard Hughes)
 - Do not offer to repair twice when using 'colorhug-ccmx --repair' on a broken device (Richard Hughes)
 - Initialize the multiplier before calling into ch_device_queue_get_multiplier (Richard Hughes)
 - Re-enable support for legacy USB IDs in colorhug-ccmx (Thilo Fromm)
 - Support LED types in colorhug-cmd get/set-calibration (Ian Munsie)

Version 0.1.9
~~~~~~~~~~~~~
Released: 2012-05-22

New Features:
 - Add commands to get and set the remote profile hash on the device (Richard Hughes)
 - Add support for the new self-test command (Richard Hughes)
 - Allow the colorhug tool to download and upload icc profiles (Richard Hughes)
 - Hughski Limited now has its own USB Vendor ID (Richard Hughes)
 - Remove the device blacklist anti-feature (Richard Hughes)

Bugfixes:
 - Fix up the documentation for the command line tool options (Richard Hughes)
 - Install the colorhug command line tool as /usr/bin/colorhug-cmd (Richard Hughes)
 - Remove colorhug-gui, it's no longer useful (Richard Hughes)
 - Set the multiplier to maximum when doing 'take-readings' (Richard Hughes)
 - Use CdIt8 for ccmx parsing and bump the colord dep to 0.1.20 (Richard Hughes)
 - When failing, set the device error enum as the GError code (Richard Hughes)

Version 0.1.8
~~~~~~~~~~~~~
Released: 2012-04-17

New Features:
 - Add a libusb0.1 example program that can run on RHEL5
 - Add a simple colorhug-ccmx icon
 - Make a sound when colorhug-flash fails or completes the update

Bugfixes:
 - Add gmodule-2.0 to the GLib configure check
 - Automatically use the correct proxy server using glib-networking
 - Check the buffer size before attempting to parse
 - Don't assume const data is available when verifying firmware
 - Keep track of the device state in ChDeviceQueue
 - Prevent critical warnings when doing 'colorhug list-calibration'
 - Use the device state to work out if there are pending commands

Version 0.1.7
~~~~~~~~~~~~~
Released: 2012-03-15

New Features:
 - Add a class responsible for async-queued-operations to multiple devices
 - Allow the user to update to test firmware if enabled in GSettings
 - Create a libcolorhug library that is designed for low level access to the device

Bugfixes:
 - Add self test code to test the new incomplete-request functionality
 - Convert colorhug-ccmx to using ChDeviceQueue to decrease the startup delay
 - Convert colorhug-flash to using ChDeviceQueue to increase the flash speed
 - Convert the colormgr tool to using ChDeviceQueue
 - Correctly detect the failure to re-enumerate
 - Do not hardcode the server path, instead set it in the GSettings schema
 - Do not show an empty warning box if there is no firmware flash warning
 - Do not use g_usleep() when waiting for a device reconnect

Version 0.1.6
~~~~~~~~~~~~~
Released: 2012-03-04

New Features:
 - Add a flash-firmware-force command (Richard Hughes)
 - Add a new icon for colorhug-flash (Lapo Calamandrei)
 - Add a new inactive colorimeter-colorhug icon for future use (Lapo Calamandrei)
 - Add support for getting and setting the PCB errata value (Richard Hughes)
 - Add support for TakeReadingArray and plot a simple graph with the results (Richard Hughes)
 - Allow the user to set the default LED correction matrix (Richard Hughes)

Bugfixes:
 - Check the calibration determinant before writing to the device (Richard Hughes)
 - Do not write temp files with predictable names to /tmp (Richard Hughes)
 - Implement loading CCMX from file (Michal Čihař)
 - Increase the device reconnect timeout after flashing (Richard Hughes)
 - Intialize leds to 0 in ch_device_cmd_get_leds() (Jussi Kukkonen)
 - Recognise TYPE_FACTORY in the ccmx loader (Richard Hughes)
 - Remove all locale dependent string parsing functions (Richard Hughes)
 - Repair device only once while forced (Michal Čihař)
 - Set correct return value (Michal Čihař)
 - set_leds/get_leds() argument is not ChStatusLed, but guint8 (Jussi Kukkonen)
 - Use G_GSIZE_FORMAT when printing gsize values (Jussi Kukkonen)

Version 0.1.5
~~~~~~~~~~~~~
Released: 2012-01-26

Notes:
 - We've now switched to a XML manifest format which allows us to check
   the size and sha1sum of the firmware file, and also to show the user
   any warnings about the new firmware.

New Features:
 - Add an interactive version of 'colorhug set-dark-offsets' (Richard Hughes)
 - Add a --repair command line argument to colorhug-ccmx (Richard Hughes)
 - Add a simple HID client example (Richard Hughes)
 - Added name and email fields in client (Matthew Hirsch)
 - Add icons for the application/x-ccmx mime type (Richard Hughes)
 - Add some raw EEPROM commands to the command line tool (Richard Hughes)
 - Allow the user to flash stand alone files with colorhug-flash (Richard Hughes)
 - Check the SHA1 of the firmware before using it (Richard Hughes)
 - Show warning messages about firmware in a modal dialog box (Richard Hughes)

Bugfixes:
 - Always pad the flash .bin file to a 64 byte chunk (Richard Hughes)
 - Fix handing device endianess (Michal Čihař)
 - Increase the USB timeout for dark reads (Richard Hughes)
 - Show the user the sensor conditions before showing CLI results (Richard Hughes)

Version 0.1.4
~~~~~~~~~~~~~
Released: 2011-01-10

New Features:
 - A massive number of new translations from Transifex, thanks!
 - Add a missing manpage for colorhug-ccmx (Michal Čihař)

Bugfixes:
 - Add transifex integration (Richard Hughes)
 - Add some button tooltips (Richard Hughes)
 - Move the command helpers out of ChClient (Richard Hughes)
 - Ensure we never delete the factory calibration matrix in colorhug-ccmx (Richard Hughes)
 - Allow the user to repair a device without a factory calibration matrix (Richard Hughes)

Version 0.1.3
~~~~~~~~~~~~~
Released: 2011-12-26

New Features:
 - Add an 'auto' argument to set-serial-number (Richard Hughes)
 - Allow the GUI command line tools to run without hardware attached (Richard Hughes)
 - Deactivate devices that have been identified as missing or stolen (Richard Hughes)

Bugfixes:
 - Add a new device error for bootloader >= 0.1.1 (Richard Hughes)
 - Assign the LEDs colors (Richard Hughes)
 - Do not allow the user to easily clear the calibration data (Richard Hughes)
 - Do not show the refresh button when no device is inserted (Richard Hughes)
 - Do not try to issue two commands in parallel when using colorhug-ccmx (Richard Hughes)
 - Fix getting the serial number (Richard Hughes)
 - Fix the markdown parser (Richard Hughes)
 - Fix to actually include the UI files in the translations (Łukasz Jernaś)

Version 0.1.2
~~~~~~~~~~~~~
Released: 2011-12-09

New Features:
 - Add a new command GetHardwareVersion (Richard Hughes)
 - Add a 'colorhug clear-calibration' functionality (Richard Hughes)
 - Add a 'colorhug list-calibration' functionality (Richard Hughes)
 - Get a list of potential CCMX files from a remote server (Richard Hughes)
 - Add a bash completion script for the colorhug tool (Richard Hughes)
 - Add a --verbose command line option to the tools (Richard Hughes)
 - The update text is markdown formatted, so add a simple markdown parser (Richard Hughes)

Bugfixes:
 - Fix the version comparison in colorhug-flash (Richard Hughes)
 - Allow the user to unplug and plug in colorhug-flash (Richard Hughes)
 - Remove the duplicate file filter from the import dialog (Richard Hughes)
 - Fix the error messages when importing a ccmx file fails (Richard Hughes)

Version 0.1.1
~~~~~~~~~~~~~
Released: 2011-11-30

New Features:
 - Add a flash update GTK program (Richard Hughes)
 - Add a man page for colorhug-flash (Richard Hughes)
 - Add a new colorhug-inhx32-to-bin binary to make the firmware image (Richard Hughes)
 - Add a simple GUI CCMX file loader (Richard Hughes)
 - Add calibration remapping functionality (Richard Hughes)
 - Add support for the reset device command (Richard Hughes)
 - Add two new commands to test booting into the firmware (Richard Hughes)
 - Install a colorhug logo (Richard Hughes)
 - Support pre-scaling the sensor result for maximum accuracy (Richard Hughes)
 - Support setting the post scale value (Richard Hughes)
 - Support the new LED flashing options (Richard Hughes)
 - Support up to 64 calibration matrices to be stored in the device (Richard Hughes)
 - Support writing replacement firmware (Richard Hughes)
 - Use a 32 bit packed struct to return readings from the sensor (Richard Hughes)

Bugfixes:
 - Allow erasing flash in chunks larger than 256 bytes (Richard Hughes)
 - Don't abort 'make check' if there is no hardware attached (Richard Hughes)
 - Get the calibration description from the CCMX file (Richard Hughes)
 - Make the client code work on big endian machines (Johannes Berg)

Version 0.1.0
~~~~~~~~~~~~~
Released: 2011-11-11

Notes:
 - Initial tarball release

New Features:
 - Every ColorHug command can be controlled using the colorhug CLI tool.
